%define name codeconv
%define version 2.0.0
%define release 2mdk

Summary: Hungarian code converting utility
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: free
Group: Text tools
Source: code20.tar.bz2
Patch: codeconv-tab.patch.bz2
URL: http://ural2.hszk.bme.hu/~s6042tar/tdk/
BuildRoot: /var/tmp/%{name}-buildroot


%description
Codeconv utility converts the Hungarian letters with accent between various code conventions.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n codeconv
%patch

%build
make "CFLAGS=$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/codeconv
install -m 755 codeconv $RPM_BUILD_ROOT/usr/bin
install -m 755 codecall.sh $RPM_BUILD_ROOT/usr/bin/codecall
install -m 644 *.tab $RPM_BUILD_ROOT/usr/share/codeconv/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc manual.hun file_id.diz
/usr/bin/*
%dir /usr/share/codeconv
/usr/share/codeconv/*

%changelog
* Tue Apr 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.0.0-2mdk
- bzip2 patch
- fix group

* Wed Feb 09 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build
 
* Wed May 12 1999 Peter Soos <sp@osb.hu>
- corrected the file and directory attributes to rebuild the package
  under RedHat Linux 6.0
 
* Fri Dec 25 1998 Peter Soos <sp@osb.hu>
- corrected the file and directory attributes
 
* Mon Jun 22 1998 Peter Soos <sp@osb.hu>
- Using %attr
 
* Fri Mar 19 1998 Peter Soos <sp@osb.hu>
- Initial version  
